# This theme is marked as @internal. It is intended to evolve and change over
# minor releases.
# As the UI of Drupal improves between minor versions, the markup and assets in
# the Olivero theme will change. The Olivero theme is not backwards compatible
# If you wish to modify the output or assets of Olivero you can:
# 1. Copy the whole of Olivero and rename it as your own theme. You will need to
# manually manage your own updates if you want to stay up to date with Olivero's
# bug fixes and feature support.
#
# 2. Sub-theme Olivero. This is only recommended if you want to make minor
# tweaks and understand that Olivero could break your modifications as it
# changes.
name: Olivero
type: theme
base theme: false
description: 'A clean, accessible, and flexible Drupal front-end theme.'
alt text: 'Screenshot of Olivero, Drupal front-end theme.'
package: Core
version: VERSION
experimental: true
libraries:
  - olivero/global-styling
regions:
  header: Header
  primary_menu: 'Primary menu'
  secondary_menu: 'Secondary menu'
  hero: 'Hero (full width)'
  highlighted: Highlighted
  breadcrumb: Breadcrumb
  social: Social Bar
  content_above: Content Above
  content: Content
  sidebar: 'Sidebar'
  content_below: 'Content Below'
  footer_top: 'Footer Top'
  footer_bottom: 'Footer Bottom'
libraries-override:
  system/base:
    css:
      component:
        css/components/ajax-progress.module.css: css/components/ajax-progress.module.css
        css/components/autocomplete-loading.module.css: css/components/autocomplete-loading.module.css
  core/drupal.checkbox: false
  core/drupal.vertical-tabs:
    css:
      component:
        misc/vertical-tabs.css: css/components/vertical-tabs.css
  media/oembed.formatter: false
  layout_builder/twocol_section: olivero/layout_builder_twocol_section
  layout_builder/threecol_section: olivero/layout_builder_threecol_section
  layout_builder/fourcol_section: olivero/layout_builder_fourcol_section
libraries-extend:
  core/drupal.message:
    - olivero/messages
  core/drupal.collapse:
    - olivero/details
  core/drupal.dialog.off_canvas:
    - olivero/dialog.off_canvas
  core/drupal.progress:
    - olivero/progress
  core/drupal.dropbutton:
    - olivero/dropbutton
  layout_discovery/onecol:
    - olivero/layout_discovery_section
  layout_discovery/twocol_bricks:
    - olivero/layout_discovery_section
  layout_discovery/twocol:
    - olivero/layout_discovery_section
  layout_discovery/threecol_25_50_25:
    - olivero/layout_discovery_section
  layout_discovery/threecol_33_34_33:
    - olivero/layout_discovery_section
  node/drupal.node.preview:
    - olivero/drupal.node.preview
  core/ckeditor:
    - olivero/cke-dialog
  content_moderation/content_moderation:
    - olivero/content_moderation
ckeditor_stylesheets:
  - css/base/fonts.css
  - css/base/base.css
  - css/components/embedded-media.css
  - css/components/table.css
  - css/components/text-content.css
  - css/theme/ckeditor-frame.css
